%global momorel   4
%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages
%global lispname  howm

Summary: Howm is a note-taking tool on Emacs.
Name: elisp-%{lispname}
Version:     1.2
Release:     %{momorel}m
License:     GPL
Group:       Applications/Editors
URL:         http://howm.sourceforge.jp/
%NoSource 0  http://howm.sourceforge.jp/a/%{lispname}-%{version}.tar.gz 433f591f2d51657f603d0543d30acc2e
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
Requires: emacsen
BuildArchitectures: noarch
Buildrequires: emacsen

%description
Howm is a note-taking tool on Emacs. It is similar to emacs-wiki;
you can enjoy hyperlinks and full-text search easily. It is not
similar to emacs-wiki; it can be combined with any format.

%package -n %{lispname}-emacs
Group: Applications/Editors
Summary: Howm is a note-taking tool on Emacs.
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n %{lispname}-emacs
Howm is a note-taking tool on Emacs. It is similar to emacs-wiki;
you can enjoy hyperlinks and full-text search easily. It is not
similar to emacs-wiki; it can be combined with any format.

%package -n %{lispname}-xemacs
Group: Applications/Editors
Summary: Howm is a note-taking tool on Emacs.
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}

%description -n %{lispname}-xemacs
Howm is a note-taking tool on Emacs. It is similar to emacs-wiki;
you can enjoy hyperlinks and full-text search easily. It is not
similar to emacs-wiki; it can be combined with any format.


%prep
%setup -q -n %{lispname}-%{version}

%build

%install
./configure --prefix=%{_prefix} \
  --with-emacs=%{_bindir}/emacs \
  --datadir=%{_datadir} \
  --mandir=%{_mandir}

make EMACS=emacs

test %{buildroot} != "/" && %__rm -rf %{buildroot}
make EMACS=emacs \
  prefix=%{buildroot}%{_prefix} \
  datadir=%{buildroot}%{_datadir} \
  lispdir=%{buildroot}%{e_sitedir}/%{lispname} \
  docdir=%{buildroot}%{_docdir}/%{name}-%{version} \
  install

make distclean

./configure --prefix=%{_prefix} \
  --with-xemacs=%{_bindir}/xemacs \
  --datadir=%{_datadir} \
  --mandir=%{_mandir}

make EMACS=xemacs

make EMACS=xemacs \
  prefix=%{buildroot}%{_prefix} \
  datadir=%{buildroot}%{_datadir} \
  lispdir=%{buildroot}%{sitepdir}/%{lispname} \
  docdir=%{buildroot}%{_docdir}/%{name}-%{version} \
  install


%clean
test %{buildroot} != "/" && %__rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc doc/*.rd doc/*.png doc/*.html
%dir %{_datadir}/%{lispname}/ext
%{_datadir}/%{lispname}/ext/howm2
%{_datadir}/%{lispname}/ext/tag2plan
%{_datadir}/%{lispname}/ext/hcal.rb
%dir %{_datadir}/%{lispname}/ja
%{_datadir}/%{lispname}/ja/0000-00-00-000000.howm
%dir %{_datadir}/%{lispname}/en
%{_datadir}/%{lispname}/en/0000-00-00-000000.howm

%files -n %{lispname}-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/%{lispname}
%{e_sitedir}/%{lispname}/*.el
%{e_sitedir}/%{lispname}/*.elc

%files -n %{lispname}-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/%{lispname}
%{sitepdir}/%{lispname}/*.el
%{sitepdir}/%{lispname}/*.elc

%changelog
* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2-4m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-3m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2-2m)
- rebuild against emacs-21.3.50

* Sat Oct 16 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.2-1m)
- initial import for momonga
